Announcement Announcement Module
Collapse
No announcement yet.
TC Server Insight not starting up Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • TC Server Insight not starting up

    Hi,

    I am trying to install a TC sever(2.9) via Spring Tool Suite(3.2) and apply an insight template.
    But I get the following NoClassDefFoundError on startup:

    Code:
    org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/insight]]
    	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:154)
    	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)
    	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)
    	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:633)
    	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:977)
    	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1655)
    	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
    	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
    	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
    	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    	at java.lang.Thread.run(Thread.java:722)
    Caused by: java.lang.NoClassDefFoundError: com/springsource/insight/agent/dispatch/transport/impl/AbstractCollectionDataTransport
    	at java.lang.ClassLoader.defineClass1(Native Method)
    	at java.lang.ClassLoader.defineClass(ClassLoader.java:791)
    	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    	at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2888)
    	at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1172)
    	at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1680)
    	at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1558)
    	at java.lang.Class.getDeclaredFields0(Native Method)
    	at java.lang.Class.privateGetDeclaredFields(Class.java:2317)
    	at java.lang.Class.getDeclaredFields(Class.java:1762)
    	at org.apache.catalina.util.Introspection.getDeclaredFields(Introspection.java:106)
    	at org.apache.catalina.startup.WebAnnotationSet.loadFieldsAnnotation(WebAnnotationSet.java:261)
    	at org.apache.catalina.startup.WebAnnotationSet.loadApplicationServletAnnotations(WebAnnotationSet.java:140)
    	at org.apache.catalina.startup.WebAnnotationSet.loadApplicationAnnotations(WebAnnotationSet.java:67)
    	at org.apache.catalina.startup.ContextConfig.applicationAnnotationsConfig(ContextConfig.java:405)
    	at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:881)
    	at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:369)
    	at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)
    	at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)
    	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5269)
    	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
    	... 11 more
    Am I missing a jar?

  • #2
    I am having same problem.

    Comment


    • #3
      I created a jira ticket as I experienced the issue as well.

      Comment


      • #4
        Thanks Daniel.

        Comment


        • #5
          You're welcome. FWIW, vfabric tcserver 2.8.2 works fine if you just need an instance of Insight that works.

          Comment


          • #6
            Thanks again Daniel. But I cannot find a link or page to download a developer edition of 2.8.2.

            Comment


            • #7
              Bundled with GGTS/STS

              Originally posted by waveydavey View Post
              Thanks again Daniel. But I cannot find a link or page to download a developer edition of 2.8.2.
              Remember, it's bundled with GGTS/STS, so you could just download an older version of one of those.

              Comment


              • #8
                Originally posted by danieldbower View Post
                Remember, it's bundled with GGTS/STS, so you could just download an older version of one of those.
                Brilliant, so there is... and it works... Thank you.

                Comment

                Working...
                X